Subject: Re: Updating glibc on SELF image

From: Dave Cogley <[email-masked]>
Date: Wed, 02 Jul 2008 12:18:15 -0700

Thank you for the reply. I did not build the initial SELF image it was
provided to me from the board vendor. I used it as a starting point to
get something up and running on SELF. Can you point me to the
documentation on how to use the SELF RPM system?

Thanks,
Dave

On Wed, 2008-07-02 at 20:26 +0200, Detlev Zundel wrote:
> Hi Dave,
> 
> > Can someone provide a comprehensive guide for building SELF images from
> > scratch? More specifically how to install dependency libraries?
> 
> There is a mailing list specifically for ELDK and related questions[1].  
> 
> Apart from that, if you want to change SELF contents, you can either do
> it manually (as you started) or adjust the SELF spec file and rebuild
> the target RPM as documented in the DULG.
> 
> Apart from that I believe you somehow work with mismatching SELF and
> ELDK NFS installations.  The SELF rpm is built from the ELDK NFS
> installation, so it is simply not possible to have different versions of
> libraries between those two.
> 
> Cheers
>   Detlev
> 
> [1] http://lists.denx.de/mailman/listinfo/eldk
>